> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get feature's details

> Returns feature's details.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml get /iam/admin/feature/{featureId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/admin/feature/{featureId}:
    get:
      tags:
        - IAM Reseller Features
      summary: Get feature's details
      description: Returns feature's details.
      operationId: iamGetFeature
      parameters:
        - $ref: '#/components/parameters/FeatureID'
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Feature'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/iam_reseller_404'
components:
  parameters:
    FeatureID:
      name: featureId
      in: path
      required: true
      description: Feature's ID.
      schema:
        type: integer
  schemas:
    Feature:
      type: object
      required:
        - id
        - name
        - service
        - is_free
      properties:
        id:
          type: integer
          description: Feature's ID.
          readOnly: true
        name:
          type: string
          description: A feature's name.
          readOnly: true
        service:
          allOf:
            - $ref: '#/components/schemas/ServiceName'
            - readOnly: true
              description: The service a feature belongs to.
        is_free:
          type: boolean
          description: Shows if a feature is free or paid.
          readOnly: true
    ServiceName:
      type: string
      description: Service's name.
      enum:
        - CDN
        - STORAGE
        - STREAMING
        - DNS
        - DDOS
        - CLOUD
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
    iam_reseller_404:
      description: Resource not found.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````